summaryrefslogtreecommitdiff
path: root/distro/ubuntu
diff options
context:
space:
mode:
authorStefano Karapetsas <[email protected]>2011-12-11 12:55:19 +0100
committerStefano Karapetsas <[email protected]>2011-12-11 12:55:19 +0100
commit51175189c6d7313a3b84019e39496f957c4e6164 (patch)
treee4c2c130fa3140bca28685ef900f04a012e53dcd /distro/ubuntu
downloadmate-power-manager-51175189c6d7313a3b84019e39496f957c4e6164.tar.bz2
mate-power-manager-51175189c6d7313a3b84019e39496f957c4e6164.tar.xz
moved from Mate-Extra
Diffstat (limited to 'distro/ubuntu')
-rwxr-xr-xdistro/ubuntu/build34
-rwxr-xr-xdistro/ubuntu/postinst8
-rwxr-xr-xdistro/ubuntu/postrm8
-rwxr-xr-xdistro/ubuntu/preinst6
-rwxr-xr-xdistro/ubuntu/prerm9
5 files changed, 65 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..99a3e90
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-power-manager
+pkgver=2011.12.01
+pkgrel=1
+pkgdesc="Session daemon that makes it easy to manage your laptop or desktop system for Mate Desktop"
+
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/${pkgname} \
+ --disable-scrollkeeper || return 1
+
+ # there is some pre-compiled files on the tar
+ make || return 1
+
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+ #rm -f ${pkgdir}/usr/lib/*.la # can be used options=(!libtools)
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh
diff --git a/distro/ubuntu/postinst b/distro/ubuntu/postinst
new file mode 100755
index 0000000..366dc49
--- /dev/null
+++ b/distro/ubuntu/postinst
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+pkgname=mate-power-manager
+
+/usr/sbin/mateconfpkg --install ${pkgname}
+gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+
+exit 0
diff --git a/distro/ubuntu/postrm b/distro/ubuntu/postrm
new file mode 100755
index 0000000..c575111
--- /dev/null
+++ b/distro/ubuntu/postrm
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+pkgname=mate-power-manager
+
+gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+
+exit 0
diff --git a/distro/ubuntu/preinst b/distro/ubuntu/preinst
new file mode 100755
index 0000000..1d5bdca
--- /dev/null
+++ b/distro/ubuntu/preinst
@@ -0,0 +1,6 @@
+#!/bin/sh -e
+
+pkgname=mate-power-manager
+
+/usr/sbin/mateconfpkg --uninstall ${pkgname}
+
diff --git a/distro/ubuntu/prerm b/distro/ubuntu/prerm
new file mode 100755
index 0000000..c789a9a
--- /dev/null
+++ b/distro/ubuntu/prerm
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+pkgname=mate-power-manager
+
+/usr/sbin/mateconfpkg --uninstall ${pkgname}
+
+exit 0